Skip to main content
Request

curl --location 'https://openapi.gs-robot.com/v1alpha1/robots/TEST00-0000-000-S003/status'
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {token}'
Response

{
"serialNumber": "TEST00-0000-000-S003",
"name": "robots/TEST00-0000-000-S003",
"position": {
"latitude": 0,
"longitude": 0,
"angle": 0
},
"taskState": "IDLE",
"online": true,
"speedKilometerPerHour": 0,
"battery": {
"charging": false,
"powerPercentage": 37
},
"emergencyStop": {
"enabled": false
},
"localizationInfo": {
"localizationState": "NORMAL",
"map": {
"id": "51839a5c-61a4-46eb-8c9a-5cce50c6845c",
"name": "9-2"
},
"mapPosition": {
"x": 1927,
"y": 278,
"angle": -167.02457485469768,
"worldX": 1.234,
"worldY": 2.345
}
},
"executableTasks": [
{
"id": "f6372049-f1ff-4d72-b432-e48edcaeb612",
"name": "execute_task_q",
"map": {
"id": "51839a5c-61a4-46eb-8c9a-5cce50c6845c",
"name": "9-2"
}
},
{
"id": "03e6756c-f3d0-4ed1-82cb-8db319483fc9",
"name": "execute_task_a_a_path0",
"map": {
"id": "51839a5c-61a4-46eb-8c9a-5cce50c6845c",
"name": "9-2"
}
},
{
"id": "5cbf5f19-ad9a-4968-82cf-e3b89bb6c47d",
"name": "execute_task_Z",
"map": {
"id": "51839a5c-61a4-46eb-8c9a-5cce50c6845c",
"name": "9-2"
}
}
],
"cleanModes": [
{
"name": "__middle_cleaning"
},
{
"name": "__heavy_cleaning"
},
{
"name": "轻度"
},
{
"name": "__suction_cleaning"
}
],
"device": {
"vacuum": {
"enabled": false
},
"cleanWaterTank": {
"level": 40
},
"recoveryWaterTank": {
"level": 0
},
"rollingBrush": {
"enabled": false,
"ifPutDown": false
},
"spray": {
"isRunning": false,
"waterLevel": 0
}
},
"workModes": [],
"navStatus": "NAVI_IDLE",
"currentElevatorStatus": "ELEVATOR_CONTROLLER_IDLE",
"latestReportTime": "1777282199509"
}

Note: worldX and worldY are effective only when the robot is online. When the robot is offline, world coordinates cannot be calculated and both fields return the default value 0. If localization, grid coordinates, or map metadata are unavailable, the coordinates cannot be populated.